upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to upgrade

Bug #1279762 reported by lzbgt on 2014-02-13
This bug affects 264 people
Affects Status Importance Assigned to Milestone
cinnamon (Ubuntu)
High
Unassigned

Bug Description

from 13.10 to 14.04

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: ubuntu-release-upgrader-core 1:0.205.4
ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
Uname: Linux 3.11.0-17-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
CrashDB: ubuntu
Date: Thu Feb 13 19:49:07 2014
InstallationDate: Installed on 2014-01-08 (36 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
VarLogDistupgradeTermlog:

lzbgt (lzbgt) wrote :
John Kim (kotux) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures

At a minimum, we need:
1. the specific steps or actions you took that caused you to encounter the problem,
2. the behavior you expected, and
3. the behavior you actually encountered (in as much detail as possible).
Thanks!

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

there is already enough information in the attached log files.

The upgrader fails to calculate the upgrade because cinnamon is not in trusty, so it keeps it and refuses to upgrade the dependencies

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Confirmed
summary: - upgrade to 14.04 from 13.10 failed
+ upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade

BTW, cinnamon fails to upgrade because it is blocked in trusty-proposed due to bug 1266336

As a workaround you can remove cinnamon if you don't use it.

lzbgt (lzbgt) wrote :

Great!

A question from newbie: how do you know it failed on cinnamon?

lzbgt (lzbgt) wrote :

@Jean-Baptiste Lallement (jibel), you're awesome!

Tested ok in my working pc..

Jean-Baptiste Lallement (jibel) wrote :

For the record, you can find why it fails on cinnamon from the log file /var/log/dist-upgrade/apt.log

At the end you'll see apt tries to find an upgrade path for libclutter and libcogl and fails
---
Investigating (9) libcogl15 [ amd64 ] < none -> 1.16.2-1 > ( libs )
Broken libcogl15:amd64 Breaks on libclutter-1.0-0 [ amd64 ] < 1.14.4-3 -> 1.16.0-1 > ( libs ) (< 1.15)
  Considering libclutter-1.0-0:amd64 50 as a solution to libcogl15:amd64 56
  Upgrading libclutter-1.0-0:amd64 due to Breaks field in libcogl15:amd64
Investigating (9) libclutter-1.0-0 [ amd64 ] < 1.14.4-3 -> 1.16.0-1 > ( libs )
Broken libclutter-1.0-0:amd64 Breaks on libcogl12 [ amd64 ] < 1.14.0-2 > ( libs )
  Considering libcogl12:amd64 65 as a solution to libclutter-1.0-0:amd64 50
  Holding Back libclutter-1.0-0:amd64 rather than change libcogl12:amd64
---

If you search backward into this same log file, you'll find why it wants to keep libcogl12
---
Broken cinnamon:amd64 Depends on libmuffin0 [ amd64 ] < 2.0.5-20131124003925-saucy > ( universe/libs )
  Considering libmuffin0:amd64 2 as a solution to cinnamon:amd64 65
  Added libmuffin0:amd64 to the remove list
  Fixing cinnamon:amd64 via keep of gir1.2-muffin-3.0:amd64
  Fixing cinnamon:amd64 via keep of libcogl-pango12:amd64
  Fixing cinnamon:amd64 via keep of libcogl12:amd64
  Fixing cinnamon:amd64 via keep of libmuffin0:amd64
---

And cinnamon won't be upgraded, because it doesn't exist in Trusty only trusty-proposed (do not enable -proposed it is only for testing purpose and things there will likely break your system)
⟫ rmadison cinnamon
 cinnamon | 1.7.4-2ubuntu4 | saucy/universe | source, amd64, armhf, i386, powerpc
 cinnamon | 1.7.4-2ubuntu4.1 | saucy-updates/universe | source, amd64, armhf, i386, powerpc
 cinnamon | 1.7.4-2ubuntu6 | trusty-proposed/universe | source, amd64, arm64, armhf, i386, powerpc, ppc64el

Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Triaged
Changed in cinnamon (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
no longer affects: ubuntu-release-upgrader (Ubuntu)
Changed in cinnamon (Ubuntu):
importance: Medium → High
David Westphal (dave-west) wrote :

So far I have to wait, until Cinnamon comes for 14.04, is that correct? Because I use Cinnamon and I dont want to remove it, even though I want to take a good look to Unity after the Upgrade.

Thanks @jibel
I did this to remove cinnamon, then ran $update-manager and it worked!

sudo apt-get install ppa-purge
sudo apt-get purge --auto-remove cinnamon
sudo apt-get autoremove

@dave-west, That is correct. Either wait for a fix of cinnamon in 14.04 (if it ever happens because bug 1266336 is open since January) or remove cinnamon before trying the upgrade again.

David Westphal (dave-west) wrote :

Allright, thank you for taking your time to help. I've removed Cinnamon and now it works. BTW I use Cinnamon at my Laptop and there the same Upgrade works perfectly fine. Maybe this is of interest.

LeVieuxSage (rub-duarte) wrote :

Hello,

I confirm that uninstalling cinnamon, the upgrade works.

Thank you

You were right! I uninstalled Cinnamon and the upgrade proceeded without
any problem.

Thank you so much for your prompt assistance.

Richard Schmitt

On 04/18/2014 12:59 PM, LeVieuxSage wrote:
> Hello,
>
> I confirm that uninstalling cinnamon, the upgrade works.
>
> Thank you
>

--
Find uncommon and thoughtful political analysis in my Blog, *Out of the
Woods*, at http://richardschmitt.blogspot.com

Steve Pitcher (stevepitcher) wrote :

Worked for me too. Thanks!

> On Apr 18, 2014, at 5:55 PM, "rschmitt" <email address hidden>
wrote:
>
> You were right! I uninstalled Cinnamon and the upgrade proceeded without
> any problem.
>
> Thank you so much for your prompt assistance.
>
> Richard Schmitt
>
> On 04/18/2014 12:59 PM, LeVieuxSage wrote:
> > Hello,
> >
> > I confirm that uninstalling cinnamon, the upgrade works.
> >
> > Thank you
> >
>
> --
> Find uncommon and thoughtful political analysis in my Blog, *Out of the
> Woods*, at http://richardschmitt.blogspot.com
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1309607).
> https://bugs.launchpad.net/bugs/1279762
>
> Title:
> upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
>
> Status in “cinnamon” package in Ubuntu:
> Triaged
>
> Bug description:
> from 13.10 to 14.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: ubuntu-release-upgrader-core 1:0.205.4
> ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
> Uname: Linux 3.11.0-17-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.12.5-0ubuntu2.2
> Architecture: amd64
> CrashDB: ubuntu
> Date: Thu Feb 13 19:49:07 2014
> InstallationDate: Installed on 2014-01-08 (36 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
(20131016.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
> VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go to:
>
https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions

Thanks, i uninstall cinnamon and it works. Thanks

Worked for me too. Thanks!

Steve Pitcher <email address hidden> schrieb:

>Worked for me too. Thanks!
>
>> On Apr 18, 2014, at 5:55 PM, "rschmitt" <email address hidden>
>wrote:
>>
>> You were right! I uninstalled Cinnamon and the upgrade proceeded without
>> any problem.
>>
>> Thank you so much for your prompt assistance.
>>
>> Richard Schmitt
>>
>> On 04/18/2014 12:59 PM, LeVieuxSage wrote:
>> > Hello,
>> >
>> > I confirm that uninstalling cinnamon, the upgrade works.
>> >
>> > Thank you
>> >
>>
>> --
>> Find uncommon and thoughtful political analysis in my Blog, *Out of the
>> Woods*, at http://richardschmitt.blogspot.com
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1309607).
>> https://bugs.launchpad.net/bugs/1279762
>>
>> Title:
>> upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
>>
>> Status in “cinnamon” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> from 13.10 to 14.04
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 13.10
>> Package: ubuntu-release-upgrader-core 1:0.205.4
>> ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
>> Uname: Linux 3.11.0-17-generic x86_64
>> NonfreeKernelModules: fglrx
>> ApportVersion: 2.12.5-0ubuntu2.2
>> Architecture: amd64
>> CrashDB: ubuntu
>> Date: Thu Feb 13 19:49:07 2014
>> InstallationDate: Installed on 2014-01-08 (36 days ago)
>> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
>(20131016.1)
>> MarkForUpload: True
>> PackageArchitecture: all
>> SourcePackage: ubuntu-release-upgrader
>> UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
>> VarLogDistupgradeTermlog:
>>
>> To manage notifications about this bug go to:
>>
>https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (1309296).
>https://bugs.launchpad.net/bugs/1279762
>
>Title:
> upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
>
>Status in “cinnamon” package in Ubuntu:
> Triaged
>
>Bug description:
> from 13.10 to 14.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: ubuntu-release-upgrader-core 1:0.205.4
> ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
> Uname: Linux 3.11.0-17-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.12.5-0ubuntu2.2
> Architecture: amd64
> CrashDB: ubuntu
> Date: Thu Feb 13 19:49:07 2014
> InstallationDate: Installed on 2014-01-08 (36 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
> VarLogDistupgradeTermlog:
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions

Uninstalling cinnamon worked for me too, thank you. !!!

tags: added: regression-release trusty

When will a fix for Cinnamon be anticipated?
On Apr 19, 2014 5:01 AM, "Flames_in_Paradise" <email address hidden>
wrote:

> ** Tags added: regression-release trusty
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1309648).
> https://bugs.launchpad.net/bugs/1279762
>
> Title:
> upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
>
> Status in “cinnamon” package in Ubuntu:
> Triaged
>
> Bug description:
> from 13.10 to 14.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: ubuntu-release-upgrader-core 1:0.205.4
> ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
> Uname: Linux 3.11.0-17-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.12.5-0ubuntu2.2
> Architecture: amd64
> CrashDB: ubuntu
> Date: Thu Feb 13 19:49:07 2014
> InstallationDate: Installed on 2014-01-08 (36 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
> VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions
>

Same problem here

uninstall cinnamon
upgrade to 14.04
add cinnamon nightly-build ppa
re-install cinnamon

worked for me

thx for your help
trying to uninstall cinnamon in order to upgrade

Le 20/04/2014 16:31, Capagira a écrit :
> Same problem here
>
> uninstall cinnamon
> upgrade to 14.04
> add cinnamon nightly-build ppa
> re-install cinnamon
>
> worked for me
>

--
*philippe petitot* 2 rue Bataille al Arak 24030 El Jadida (Maroc) GSM
212614889832 tél. 212523343315

Spook (gcvisel) wrote :

I logged out of Cinnamon and into Ubuntu. Then it updated fine. Then log
back into Cinnamon and Bob's your uncle.
On Apr 20, 2014 10:40 AM, "Capagira" <email address hidden> wrote:

> Same problem here
>
> uninstall cinnamon
> upgrade to 14.04
> add cinnamon nightly-build ppa
> re-install cinnamon
>
> worked for me
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1309770).
> https://bugs.launchpad.net/bugs/1279762
>
> Title:
> upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions
>

Thanks to all of you for your help. Un-Installing cinnamon and then trying the update worked for me as well.

Thanks again for the help

imedina (imedina) wrote :

Worked for me too.

TuyenNH (nguyenhuutuyen2509) wrote :

Worked for me too.

Nick (soapduk) wrote :

Worked for me (thanks).

mmx73 (mmx73) wrote :

worked for me, i did not install cinnamon but i had nemo installed. thank you.

Andreas (andreas-mosera) wrote :

worked for me, thanks a lot!

Lupius (coolincarl) wrote :

> uninstall cinnamon
> upgrade to 14.04
> add cinnamon nightly-build ppa
> re-install cinnamon

Why is not possible to have ubuntu-release-upgrader look into the right ppa in the first place? I'm think:
add cinnamon nightly-build ppa
configure ubuntu-release-upgrader to use the ppa
upgrade to 14.04

Won't have to reinstall cinnamon then.

On May 16, 2014 10:11 AM, "Lupius" <email address hidden> wrote:

> Why is not possible to have ubuntu-release-upgrader look into the right
ppa in the first place? I'm think:

A nightly PPA isn't the right choice for an LTS version.

I realize that it's not the right choice, but my question is if it can be a choice at all.

summary: - upgrade to 14.04 from 13.10 failed - cinnamon fails to upgrade
+ upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to upgrade

Just to clarify @tonystarkpe's recipe (#9), you only need to run this one command to uninstall enough of cinnamon to enable the 14.04 upgrade to proceed:

sudo apt-get purge --auto-remove cinnamon

(The first part referred to ppa-purge--which initially looked interesting--but it won't work because the old ppa has been taken down. The last is redundant because the --auto-remove flag should cover that. Thanks, btw, @tonystarkpe!)

John (jgorsky188) wrote :

Removing cinnamon (not needed anyway) took care of the problem for me too. Thanks!

carolyn (carolyn-w) wrote :

Removing cinnamon let the upgrade proceed for me too, but it looks like this bug was fixed in July:

 Bug Watch Updater (bug-watch-updater) on 2014-07-12
Changed in cinnamon (Debian):
status: New → Fix Released
https://bugs.launchpad.net/bugs/1266336

Can it be added to 14.04 now? Seems like a lot of people prefer Cinnamon :)

Thanks Carolyn, but I have intalled CentOs 7 and is really great.

Bye bye Ubuntu.

Regards.
On Sep 30, 2014 2:06 PM, "carolyn" <email address hidden> wrote:

> Removing cinnamon let the upgrade proceed for me too, but it looks like
> this bug was fixed in July:
>
> Bug Watch Updater (bug-watch-updater) on 2014-07-12
> Changed in cinnamon (Debian):
> status: New → Fix Released
> https://bugs.launchpad.net/bugs/1266336
>
> Can it be added to 14.04 now? Seems like a lot of people prefer Cinnamon
> :)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1315010).
> https://bugs.launchpad.net/bugs/1279762
>
> Title:
> upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to
> upgrade
>
> Status in “cinnamon” package in Ubuntu:
> Triaged
>
> Bug description:
> from 13.10 to 14.04
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: ubuntu-release-upgrader-core 1:0.205.4
> ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
> Uname: Linux 3.11.0-17-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.12.5-0ubuntu2.2
> Architecture: amd64
> CrashDB: ubuntu
> Date: Thu Feb 13 19:49:07 2014
> InstallationDate: Installed on 2014-01-08 (36 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> MarkForUpload: True
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
> VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions
>

Martina Riehm (tr-x) wrote :

For me it is Gnome Flashback :-). This fix came too late.

peterkmurphy (peterkmurphy) wrote :

And I'm a Cinnamon user stuck on Ubuntu 13.10 that has been thinking of jumping ship to Linux Mint over this issue. It is not yet too late for myself, but seriously, Ubuntu team: there should be no issues that prevent people upgrading to a LTS release.

Can we have a patch to the 13.10->14.04 upgrade process that doesn't require me to uninstall Cinnamon and then reinstall it again? Because that would be silly.

Spook (gcvisel) wrote :

You don't need to uninstall. Just log out and log into Ubuntu to do the
update. Worked for me.

Gerry
On Oct 1, 2014 5:16 AM, "peterkmurphy" <email address hidden> wrote:

> And I'm a Cinnamon user stuck on Ubuntu 13.10 that has been thinking of
> jumping ship to Linux Mint over this issue. It is not yet too late for
> myself, but seriously, Ubuntu team: there should be no issues that
> prevent people upgrading to a LTS release.
>
> Can we have a patch to the 13.10->14.04 upgrade process that doesn't
> require me to uninstall Cinnamon and then reinstall it again? Because
> that would be silly.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1309770).
> https://bugs.launchpad.net/bugs/1279762
>
> Title:
> upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to
> upgrade
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions
>

peterkmurphy (peterkmurphy) wrote :

Well, spook, it didn't work for me. I logged out of Cinnamon, logged into Ubuntu, and the installation refused.

peterkmurphy (peterkmurphy) wrote :

Since my last message was not clear, let me try again.

I'm on 13.10 (with cinnamon installed), and tried spook's suggestion of logging into Ubuntu, and tried to upgrade to 14.04. No luck.

"Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu"

This is the same error message as when upgrading on Cinnamon.

So what am I supposed to do: go to Mint?

Theron Muller (theron) wrote :

I got around this problem by adding the line "deb http://packages.linuxmint.com/ qiana main upstream import" to /etc/apt/sources.list and then attempting the upgrade. This worked for me, but I would strongly recommend backing up your system before trying it in case of disaster.

Sorry, my english is very poor...

when I uninstalled cinnamon complete, I can upgrade to 14.04.

Now, I got Ubuntu 14.04 on my computer!!

saludos!

Ale...

________________________________
 De: peterkmurphy <email address hidden>
Para: <email address hidden>
Enviado: Viernes, 3 de octubre, 2014 10:04:16
Asunto: [Bug 1279762] Re: upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to upgrade

Since my last message was not clear, let me try again.

I'm on 13.10 (with cinnamon installed), and tried spook's suggestion of
logging into Ubuntu, and tried to upgrade to 14.04. No luck.

"Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu"

This is the same error message as when upgrading on Cinnamon.

So what am I supposed to do: go to Mint?

--
You received this bug notification because you are subscribed to a
duplicate bug report (1362999).
https://bugs.launchpad.net/bugs/1279762

Title:
  upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to
  upgrade

Status in “cinnamon” package in Ubuntu:
  Triaged

Bug description:
  from 13.10 to 14.04

  ProblemType: Bug
  DistroRelease: Ubuntu 13.10
  Package: ubuntu-release-upgrader-core 1:0.205.4
  ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
  Uname: Linux 3.11.0-17-generic x86_64
  NonfreeKernelModules: fglrx
  ApportVersion: 2.12.5-0ubuntu2.2
  Architecture: amd64
  CrashDB: ubuntu
  Date: Thu Feb 13 19:49:07 2014
  InstallationDate: Installed on 2014-01-08 (36 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
  MarkForUpload: True
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
  VarLogDistupgradeTermlog:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions

peterkmurphy (peterkmurphy) wrote :

Theron: tried adding "deb http://packages.linuxmint.com/ qiana main upstream import" to /etc/apt/sources.list. I got messages stating that a "partial upgrade" was possible, and when I tried to install, it failed.

Piero71: I know you were trying to be helpful. But seriously: read what I was trying to say - I _want_ to keep Cinnamon.

Uninstall cinnamon. Keep folder ".cinnamon" on your home folder. Upgrade to 14.04. Install cinnamon.

saludos!

Ale...

________________________________
 De: peterkmurphy <email address hidden>
Para: <email address hidden>
Enviado: Viernes, 10 de octubre, 2014 3:21:19
Asunto: [Bug 1279762] Re: upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to upgrade

Theron: tried adding "deb http://packages.linuxmint.com/ qiana main
upstream import" to /etc/apt/sources.list. I got messages stating that a
"partial upgrade" was possible, and when I tried to install, it failed.

Piero71: I know you were trying to be helpful. But seriously: read what
I was trying to say - I _want_ to keep Cinnamon.

--
You received this bug notification because you are subscribed to a
duplicate bug report (1362999).
https://bugs.launchpad.net/bugs/1279762

Title:
  upgrade to 14.04 from 13.10 or 12.04 failed - cinnamon fails to
  upgrade

Status in “cinnamon” package in Ubuntu:
  Triaged

Bug description:
  from 13.10 to 14.04

  ProblemType: Bug
  DistroRelease: Ubuntu 13.10
  Package: ubuntu-release-upgrader-core 1:0.205.4
  ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
  Uname: Linux 3.11.0-17-generic x86_64
  NonfreeKernelModules: fglrx
  ApportVersion: 2.12.5-0ubuntu2.2
  Architecture: amd64
  CrashDB: ubuntu
  Date: Thu Feb 13 19:49:07 2014
  InstallationDate: Installed on 2014-01-08 (36 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
  MarkForUpload: True
  PackageArchitecture: all
  SourcePackage: ubuntu-release-upgrader
  UpgradeStatus: Upgraded to saucy on 2014-02-13 (0 days ago)
  VarLogDistupgradeTermlog:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cinnamon/+bug/1279762/+subscriptions

peterkmurphy (peterkmurphy) wrote :

Well, I seemed to have worked out my solution to getting around this issue. It was a couple more hours than I expected, and I had to clean up a broken package or two, but everything seems to be working now. Could some of the ideas below be used to fix this bug?

#1 Do steps 2, 3, and 4 of this article. (Step 1 isn't necessary, because I am already at 13.10; I decided that Step 5 wasn't necessary either).

http://alankeister.wordpress.com/2014/01/03/how-to-upgrade-ubuntu-to-mint-mate-16-petra-desktop/

#2 Go to this stack overflow article, and follow this guide.

http://superuser.com/questions/755574/terminal-command-to-upgrade-from-linux-mint-16-to-linux-mint-17

Especially:

"$ sudo sed -i 's/saucy/trusty/' /etc/apt/sources.list

$ sudo sed -i 's/petra/qiana/' /etc/apt/sources.list

$ sudo sed -i 's/saucy/trusty/' /etc/apt/sources.list.d/official-package-repositories.list

$ sudo sed -i 's/petra/qiana/' /etc/apt/sources.list.d/official-package-repositories.list

Use sed to replace references to saucy with trusty, and petra with qiana in the sources

(If you don't have /etc/apt/sources.list.d/official-package-repositories.list, as I didn't, then you can do the sed stuff just in /etc/apt/sources.list)

$ sudo apt-get update && sudo apt-get dist-upgrade

$ sudo apt-get upgrade

Update the repositories with the new settings and run a dist-upgrade to upgrade to the new version cleanly, then run upgrade to make sure all the packages are updated."

This took me three hours to run, but the result appears to be a nice version of Ubuntu 14.04 (with a few bits of Linux Mint stuff added in). While installing, there were lots of messages of the form:

"GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache"

But these messages seem to be more cosmetic (and correspond to an existing bug):

https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/1282294

#3 There will be a few minor packages that may be broken at the end of #2; for example, mate-polkit was broken on mine. So without rebooting, I uninstalled and reinstalled them after #2 was completed.

The irony is that Cinnamon ended up broken at the end of the installation process. On the other hand, I was able to get 14.04 on my machine without installing Cinnamon. Once I found that I couldn't log into Cinnamon, I uninstalled it and reinstalled it to fix it straight away.

So for me, it was 13.10 -> lengthy 3 hours installation -> 2 minute uninstall and reinstall of Cinnamon. For some reason, I felt this gave me a better change of preserving my settings than 13.10 -> uninstall Cinnamon -> lengthy 3 hour installation -> reinstall Cinnamon (and possibly losing settings).

Other drawback of this process: now I don't have Unity. But then I never used it.

albood (franck-gras) wrote :

I endly solved my personal problem by installing 14.04 version (with Unity) from CD-ROM.
It worked fine, even if i've lost Cinnamon.

Gianfranco (dean-gianf) wrote :

I'm solved uninstalling cinnamon. Thanks

I don't even have cinnamon installed, and get this error.

The fact that Google has 1,100 hits on this error message shoudl suggest that blaming the user is inappropraite.

Fantu (fantonifabio) wrote :

Upgrade from/to unofficial build (for example various ppa) is not supported.
For upgrade cinnamon from/to other repository a remove (or purge in some cases) of cinnamon and all related packages installed before the upgrade is needed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers